import type { TKnowledgeItem } from "@/types/knowledge";
export const isParsedSuccess = (item: TKnowledgeItem)=> {
  return item.parseStatus === 'parsed' || item.parseStatus === 'audit_pass'
}
export const isParsing = (item: TKnowledgeItem)=> {
  return item.isParsing || item.parseStatus === 'wait_transfer' || item.parseStatus === 'unparsed'
}
export const isParsedFail = (item: TKnowledgeItem)=> {
  return item.isParsing || item.parseStatus === 'parse_fail' || item.parseStatus === 'audit_fail'
}